.PHONY: clean distclean clean-lists

# Remove all auto generated configs
define clean-configs
@echo "Remove all auto generated configs..."
rm -f $(foreach stage,$(STAGES),"$(call scfg,$(stage))")
rm -f "$(AUTOCFG)"
rm -rf "$(DONEDIR)"
endef

# XXX: PLEASE TELL ME WHAT IS DIFFERENCE BETWEEN rinse AND clean TARGETS ???
rinse:
	for i in profiles/{,install2/,main/,live/}$(STAGECFG); do :>$$i; done
	rm -f $(AUTOCFG)
	$(MAKE) $(AUTOCFG)
	# we build installers by default
	$(call set,GFXBOOT_FLAVOUR,installer,$(AUTOCFG))

clean:
	make -C profiles rm-loader
	SUBDIRS="$(STAGES)" make -C profiles clean
	$(clean-configs)

distclean:
	make -C profiles rm-loader
	SUBDIRS="$(STAGES)" make -C profiles distclean
	$(clean-configs)

clean-lists:
	subst 's/[^ ]*- //g;s/[^ ]*-$$//g;' profiles/packages-lists/*
